summaryrefslogtreecommitdiffstats
path: root/.ci
diff options
context:
space:
mode:
authorredsky17 <joedonofry@gmail.com>2019-02-05 03:11:58 +0000
committerredsky17 <joedonofry@gmail.com>2019-02-05 03:11:58 +0000
commit9b2c0004718d919d2d41a73137a4c8fac0e938a6 (patch)
treedcff3610b892221a6286a0763d6cd1e50d6592fe /.ci
parente156ee3d53576c4c75533b0176520050865fb85f (diff)
Preserve symlinks in icu4c libs
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/macos/deploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/.ci/macos/deploy.sh b/.ci/macos/deploy.sh
index dd117881..4b7d6035 100755
--- a/.ci/macos/deploy.sh
+++ b/.ci/macos/deploy.sh
@@ -13,7 +13,7 @@ pushd build
# this specifically addresses icu4c issues but nothing else.
export ICU_LIB="$(brew --prefix icu4c)/lib"
mkdir -p nheko.app/Contents/Frameworks
-find ${ICU_LIB} -type l -name "*.dylib" -exec cp {} nheko.app/Contents/Frameworks/ \; || true
+find ${ICU_LIB} -type l -name "*.dylib" -exec cp -a {} nheko.app/Contents/Frameworks/ \; || true
sudo macdeployqt nheko.app -dmg